Summary: A small C library that is supposed to make it easy to run an HTTP server as part of another application
Name: libmicrohttpd
Version: 1.0.1
Release: r0
License: LGPL-2.1-or-later
Group: net
Packager: Poky Maintainers <poky@lists.yoctoproject.org>
URL: http://www.gnu.org/software/libmicrohttpd/
Source0: libmicrohttpd-1.0.1.tar.gz
BuildRequires: autoconf-native
BuildRequires: automake-native
BuildRequires: curl
BuildRequires: file
BuildRequires: gettext-native
BuildRequires: gnutls
BuildRequires: libgcrypt
BuildRequires: libtool-cross
BuildRequires: libtool-native
BuildRequires: pkgconfig-native
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-poky-linux-compilerlibs
BuildRequires: virtual/x86_64-poky-linux-gcc

%description
A small C library that is supposed to make it easy to run an HTTP server as
part of another application.

%package -n libmicrohttpd-src
Summary: A small C library that is supposed to make it easy to run an HTTP server as part of another application - Source files
License: LGPL-2.1-or-later
Group: devel

%description -n libmicrohttpd-src
A small C library that is supposed to make it easy to run an HTTP server as
part of another application.  This package contains sources for debugging
purposes.

%package -n libmicrohttpd-dbg
Summary: A small C library that is supposed to make it easy to run an HTTP server as part of another application - Debugging files
License: LGPL-2.1-or-later
Group: devel
Recommends: glibc-dbg
Recommends: gnutls-dbg

%description -n libmicrohttpd-dbg
A small C library that is supposed to make it easy to run an HTTP server as
part of another application.  This package contains ELF symbols and related
sources for debugging purposes.

%package -n libmicrohttpd-staticdev
Summary: A small C library that is supposed to make it easy to run an HTTP server as part of another application - Development files (Static Libraries)
License: LGPL-2.1-or-later
Group: devel
Requires: libmicrohttpd-dev = 1.0.1-r0

%description -n libmicrohttpd-staticdev
A small C library that is supposed to make it easy to run an HTTP server as
part of another application.  This package contains static libraries for
software development.

%package -n libmicrohttpd-dev
Summary: A small C library that is supposed to make it easy to run an HTTP server as part of another application - Development files
License: LGPL-2.1-or-later
Group: devel
Requires: libmicrohttpd
Recommends: curl-dev
Recommends: file-dev
Recommends: glibc-dev
Recommends: gnutls-dev
Recommends: libgcrypt-dev
Recommends: libmicrohttpd12 = 1.0.1-r0

%description -n libmicrohttpd-dev
A small C library that is supposed to make it easy to run an HTTP server as
part of another application.  This package contains symbolic links, header
files, and related items necessary for software development.

%package -n libmicrohttpd-doc
Summary: A small C library that is supposed to make it easy to run an HTTP server as part of another application - Documentation files
License: LGPL-2.1-or-later
Group: doc

%description -n libmicrohttpd-doc
A small C library that is supposed to make it easy to run an HTTP server as
part of another application.  This package contains documentation.

%package -n libmicrohttpd-locale
Summary: A small C library that is supposed to make it easy to run an HTTP server as part of another application
License: LGPL-2.1-or-later
Group: net

%description -n libmicrohttpd-locale
A small C library that is supposed to make it easy to run an HTTP server as
part of another application.

%package -n libmicrohttpd-bin
Summary: A small C library that is supposed to make it easy to run an HTTP server as part of another application
License: LGPL-2.1-or-later
Group: net

%description -n libmicrohttpd-bin
A small C library that is supposed to make it easy to run an HTTP server as
part of another application.

%package -n libmicrohttpd12
Summary: A small C library that is supposed to make it easy to run an HTTP server as part of another application
License: LGPL-2.1-or-later
Group: net
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.10)(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6(GLIBC_2.15)(64bit)
Requires: libc.so.6(GLIBC_2.16)(64bit)
Requires: libc.so.6(GLIBC_2.17)(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.3.2)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: libc.so.6(GLIBC_2.32)(64bit)
Requires: libc.so.6(GLIBC_2.34)(64bit)
Requires: libc.so.6(GLIBC_2.4)(64bit)
Requires: libc.so.6(GLIBC_2.9)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: libgnutls.so.30()(64bit)
Requires: libgnutls.so.30(GNUTLS_3_4)(64bit)
Requires: libgnutls.so.30(GNUTLS_3_6_3)(64bit)
Requires: libgnutls30 >= 3.8.8
Requires: libpthread.so.0()(64bit)
Requires: rtld(GNU_HASH)
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.10)(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libc.so.6(GLIBC_2.15)(64bit)
Requires(post): libc.so.6(GLIBC_2.16)(64bit)
Requires(post): libc.so.6(GLIBC_2.17)(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc.so.6(GLIBC_2.3)(64bit)
Requires(post): libc.so.6(GLIBC_2.3.2)(64bit)
Requires(post): libc.so.6(GLIBC_2.3.4)(64bit)
Requires(post): libc.so.6(GLIBC_2.32)(64bit)
Requires(post): libc.so.6(GLIBC_2.34)(64bit)
Requires(post): libc.so.6(GLIBC_2.4)(64bit)
Requires(post): libc.so.6(GLIBC_2.9)(64bit)
Requires(post): libc6 >= 2.40+git0+efb710034e
Requires(post): libgnutls.so.30()(64bit)
Requires(post): libgnutls.so.30(GNUTLS_3_4)(64bit)
Requires(post): libgnutls.so.30(GNUTLS_3_6_3)(64bit)
Requires(post): libgnutls30 >= 3.8.8
Requires(post): libpthread.so.0()(64bit)
Requires(post): rtld(GNU_HASH)
Provides: libmicrohttpd = 1.0.1
Provides: libmicrohttpd.so.12()(64bit)

%description -n libmicrohttpd12
A small C library that is supposed to make it easy to run an HTTP server as
part of another application.

%post -n libmicrohttpd12
# libmicrohttpd12 - postinst
#!/bin/sh
set -e
if [ x"$D" = "x" ]; then
	if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
fi


%files -n libmicrohttpd-src
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/src"
%attr(755,root,root) %dir "/usr/src/debug"
%attr(755,root,root) %dir "/usr/src/debug/libmicrohttpd"
%attr(755,root,root) %dir "/usr/src/debug/libmicrohttpd/1.0.1"
%attr(755,root,root) %dir "/usr/src/debug/libmicrohttpd/1.0.1/src"
%attr(755,root,root) %dir "/usr/src/debug/libmicrohttpd/1.0.1/src/microhttpd"
%attr(755,root,root) %dir "/usr/src/debug/libmicrohttpd/1.0.1/src/include"
%attr(644,root,root) "/usr/src/debug/libmicrohttpd/1.0.1/src/microhttpd/connection_https.h"
%attr(644,root,root) "/usr/src/debug/libmicrohttpd/1.0.1/src/microhttpd/md5.c"
%attr(644,root,root) "/usr/src/debug/libmicrohttpd/1.0.1/src/microhttpd/mhd_sockets.h"
%attr(644,root,root) "/usr/src/debug/libmicrohttpd/1.0.1/src/microhttpd/mhd_itc_types.h"
%attr(644,root,root) "/usr/src/debug/libmicrohttpd/1.0.1/src/microhttpd/mhd_str_types.h"
%attr(644,root,root) "/usr/src/debug/libmicrohttpd/1.0.1/src/microhttpd/sha512_256.h"
%attr(644,root,root) "/usr/src/debug/libmicrohttpd/1.0.1/src/microhttpd/response.h"
%attr(644,root,root) "/usr/src/debug/libmicrohttpd/1.0.1/src/microhttpd/basicauth.h"
%attr(644,root,root) "/usr/src/debug/libmicrohttpd/1.0.1/src/microhttpd/reason_phrase.c"
%attr(644,root,root) "/usr/src/debug/libmicrohttpd/1.0.1/src/microhttpd/sha256.c"
%attr(644,root,root) "/usr/src/debug/libmicrohttpd/1.0.1/src/microhttpd/postprocessor.h"
%attr(644,root,root) "/usr/src/debug/libmicrohttpd/1.0.1/src/microhttpd/md5.h"
%attr(644,root,root) "/usr/src/debug/libmicrohttpd/1.0.1/src/microhttpd/daemon.c"
%attr(644,root,root) "/usr/src/debug/libmicrohttpd/1.0.1/src/microhttpd/memorypool.h"
%attr(644,root,root) "/usr/src/debug/libmicrohttpd/1.0.1/src/microhttpd/basicauth.c"
%attr(644,root,root) "/usr/src/debug/libmicrohttpd/1.0.1/src/microhttpd/mhd_send.h"
%attr(644,root,root) "/usr/src/debug/libmicrohttpd/1.0.1/src/microhttpd/digestauth.c"
%attr(644,root,root) "/usr/src/debug/libmicrohttpd/1.0.1/src/microhttpd/mhd_panic.c"
%attr(644,root,root) "/usr/src/debug/libmicrohttpd/1.0.1/src/microhttpd/mhd_mono_clock.h"
%attr(644,root,root) "/usr/src/debug/libmicrohttpd/1.0.1/src/microhttpd/mhd_locks.h"
%attr(644,root,root) "/usr/src/debug/libmicrohttpd/1.0.1/src/microhttpd/mhd_bithelpers.h"
%attr(644,root,root) "/usr/src/debug/libmicrohttpd/1.0.1/src/microhttpd/mhd_str.c"
%attr(644,root,root) "/usr/src/debug/libmicrohttpd/1.0.1/src/microhttpd/gen_auth.h"
%attr(644,root,root) "/usr/src/debug/libmicrohttpd/1.0.1/src/microhttpd/connection.c"
%attr(644,root,root) "/usr/src/debug/libmicrohttpd/1.0.1/src/microhttpd/mhd_threads.h"
%attr(644,root,root) "/usr/src/debug/libmicrohttpd/1.0.1/src/microhttpd/mhd_str.h"
%attr(644,root,root) "/usr/src/debug/libmicrohttpd/1.0.1/src/microhttpd/sha512_256.c"
%attr(644,root,root) "/usr/src/debug/libmicrohttpd/1.0.1/src/microhttpd/mhd_mono_clock.c"
%attr(644,root,root) "/usr/src/debug/libmicrohttpd/1.0.1/src/microhttpd/mhd_panic.h"
%attr(644,root,root) "/usr/src/debug/libmicrohttpd/1.0.1/src/microhttpd/mhd_threads.c"
%attr(644,root,root) "/usr/src/debug/libmicrohttpd/1.0.1/src/microhttpd/mhd_send.c"
%attr(644,root,root) "/usr/src/debug/libmicrohttpd/1.0.1/src/microhttpd/memorypool.c"
%attr(644,root,root) "/usr/src/debug/libmicrohttpd/1.0.1/src/microhttpd/internal.c"
%attr(644,root,root) "/usr/src/debug/libmicrohttpd/1.0.1/src/microhttpd/sha256.h"
%attr(644,root,root) "/usr/src/debug/libmicrohttpd/1.0.1/src/microhttpd/response.c"
%attr(644,root,root) "/usr/src/debug/libmicrohttpd/1.0.1/src/microhttpd/connection.h"
%attr(644,root,root) "/usr/src/debug/libmicrohttpd/1.0.1/src/microhttpd/internal.h"
%attr(644,root,root) "/usr/src/debug/libmicrohttpd/1.0.1/src/microhttpd/connection_https.c"
%attr(644,root,root) "/usr/src/debug/libmicrohttpd/1.0.1/src/microhttpd/mhd_sockets.c"
%attr(644,root,root) "/usr/src/debug/libmicrohttpd/1.0.1/src/microhttpd/postprocessor.c"
%attr(644,root,root) "/usr/src/debug/libmicrohttpd/1.0.1/src/microhttpd/gen_auth.c"
%attr(644,root,root) "/usr/src/debug/libmicrohttpd/1.0.1/src/include/platform.h"
%attr(644,root,root) "/usr/src/debug/libmicrohttpd/1.0.1/src/include/microhttpd.h"

%files -n libmicrohttpd-dbg
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/lib"
%attr(755,root,root) %dir "/usr/lib/.debug"
%attr(755,root,root) "/usr/lib/.debug/libmicrohttpd.so.12.62.1"

%files -n libmicrohttpd-dev
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/include"
%attr(755,root,root) %dir "/usr/lib"
%attr(644,root,root) "/usr/include/microhttpd.h"
%attr(755,root,root) %dir "/usr/lib/pkgconfig"
%attr(777,root,root) "/usr/lib/libmicrohttpd.so"
%attr(644,root,root) "/usr/lib/pkgconfig/libmicrohttpd.pc"

%files -n libmicrohttpd-doc
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/info"
%attr(755,root,root) %dir "/usr/share/man"
%attr(644,root,root) "/usr/share/info/libmicrohttpd_performance_data.png"
%attr(644,root,root) "/usr/share/info/libmicrohttpd.info"
%attr(644,root,root) "/usr/share/info/libmicrohttpd-tutorial.info"
%attr(755,root,root) %dir "/usr/share/man/man3"
%attr(644,root,root) "/usr/share/man/man3/libmicrohttpd.3"

%files -n libmicrohttpd12
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/lib"
%attr(777,root,root) "/usr/lib/libmicrohttpd.so.12"
%attr(755,root,root) "/usr/lib/libmicrohttpd.so.12.62.1"

%%prep
echo "include logs and patches, Please check them in SOURCES"

